Subject: Re: [Devuan-bugs] bug#222: hdparm rules use DEVNAME only

From: Svante Signell <[email-masked]>
Date: Mon, 27 Jan 2020 13:39:14 +0100

Package: eudev
Version: 3.2.2.13
tags 222 moreinfo

Dear Ralph and kalle-del-haye,

Can you confirm if this bug is still relevant for eudev?
Latest version available is: 3.2.9-4.

According to https://dev1galaxy.org/viewtopic.php?pid=10379#p10379 it seems like
this bug can be closed.

Thanks!

On Mon, 2018-06-25 at 21:56 +1000, Where all about bugs in Devuan packages is
reported wrote:
> Package: eudev
> Version: 3.2.2-13
> 
> Lodged on behalf of @kalle-delhaye:
> https://dev1galaxy.org/viewtopic.php?pid=10379#p10379
> 
> """"
> One week later - I've found the (or my?) fault.
> 
> When I upgraded my server from Debian Jessie to Devuan Ascii i reused 
> the working settings in hdparm.conf.
> But in Ascii, hdparm.conf is read by a script started by a eudev rule 
> and is working with /dev/sd? definitions only.
> No /dev/disk/by-label, no /dev/disk/by-uuid or any other links in /dev/disk.
> 
> That's because the little eudev script reading hdparm.conf is using only 
> the $DEVNAME environment variable from eudev to parse the settings. And 
> $DEVNAME is /dev/sda, for example.
> 
> The sd? links in /dev can change for a specific disk, so I think its not 
> a good idea to remove the by-label or by-uuid posibilities from hdparm.conf.
> As a workaround you can make your own eudev rule for partitions using 
> the variable $ID_FS_LABEL or $ID_FS_UUID for example.
> I will try this when I find some time.
> """"